Blob Blame Raw
document: modulemd
version: 2
data:
  summary: PHP scripting language
  description: php 7.2 module
  license:
    module:
    - GPLv2+
    content:
    - BSD
    - PHP
    - MIT
    - Zend
  dependencies:
  - buildrequires:
      platform:
      - el8
      httpd:
      - 2.4
    requires:
      platform:
      - el8
      nginx:
      - 1.14
      httpd:
      - 2.4
  references:
    documentation: http://php.net/
    tracker: https://bugs.php.net/
  profiles:
    common:
      rpms:
      - php-cli
      - php-common
      - php-fpm
      - php-json
      - php-mbstring
      - php-xml
    devel:
      rpms:
      - libzip
      - php-cli
      - php-common
      - php-devel
      - php-fpm
      - php-json
      - php-mbstring
      - php-pear
      - php-pecl-zip
      - php-process
      - php-xml
    minimal:
      rpms:
      - php-cli
      - php-common
  api:
    rpms:
    - php-fpm
  components:
    rpms:
      php:
        rationale: Module API.
        ref: 2e50108bf8e2475238d555a44b3f665558ad4034
        buildorder: 1
      libzip:
        rationale: ZIP library
        ref: 5ff9d9f8285a878d0dec3175177d444146d67a5d
        buildorder: 1
      php-pear:
        rationale: Extension management
        ref: b13ed7cf26bcd9b23cbc994c0f9318f5c0992ead
        buildorder: 2
      php-pecl-apcu:
        rationale: APCu extension
        ref: 180a297db94a0eedfdb9682219ea103e9a0bf5ef
        buildorder: 3
      php-pecl-zip:
        rationale: ZIP extension
        ref: e3c16d70f83cd969387f725848f2da625d50428a
        buildorder: 3
  name: php
  stream: '7.2'